<?php
/**
 * prime-fitness-gym functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package prime-fitness-gym
 */

if ( ! defined( 'PRIME_FITNESS_GYM_S_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'PRIME_FITNESS_GYM_S_VERSION', '1.0.0' );
}

/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function prime_fitness_gym_setup() {
	/*
		* Make theme available for translation.
		* Translations can be filed in the /languages/ directory.
		* If you're building a theme based on prime-fitness-gym, use a find and replace
		* to change 'prime-fitness-gym' to the name of your theme in all the template files.
		*/
	load_theme_textdomain( 'prime-fitness-gym', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
		* Let WordPress manage the document title.
		* By adding theme support, we declare that this theme does not use a
		* hard-coded <title> tag in the document head, and expect WordPress to
		* provide it for us.
		*/
	add_theme_support( 'title-tag' );

	/**
 * Enable support for Post Thumbnails on posts and pages.
 *
 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
 */
	add_theme_support('post-thumbnails');


	// This theme uses wp_nav_menu() in one location.
	register_nav_menus(
		array(
			'menu-1' => esc_html__( 'Primary', 'prime-fitness-gym' ),
		)
	);

	/*
		* Switch default core markup for search form, comment form, and comments
		* to output valid HTML5.
		*/
	add_theme_support(
		'html5',
		array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
			'style',
			'script',
		)
	);

	// Set up the WordPress core custom background feature.
	add_theme_support(
		'custom-background',
		apply_filters(
			'prime_fitness_gym_custom_background_args',
			array(
				'default-color' => 'ffffff',
				'default-image' => '',
			)
		)
	);

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/**
	 * Add support for core custom logo.
	 *
	 * @link https://codex.wordpress.org/Theme_Logo
	 */
	add_theme_support(
		'custom-logo',
		array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		)
	);
}
add_action( 'after_setup_theme', 'prime_fitness_gym_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $prime_fitness_gym_content_width_global
 */
function prime_fitness_gym_content_width() {
	$GLOBALS['prime_fitness_gym_content_width_global'] = apply_filters( 'prime_fitness_gym_content_width', 640 );
}
add_action( 'after_setup_theme', 'prime_fitness_gym_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function prime_fitness_gym_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'prime-fitness-gym' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'prime-fitness-gym' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
}
add_action( 'widgets_init', 'prime_fitness_gym_widgets_init' );

/**
 * Register custom fonts.
 */
function prime_fitness_gym_fonts_url()
{
	$fonts_url = '';
	$fonts = array();
	$subsets = 'latin,latin-ext';

	/* translators: If there are characters in your language that are not supported by Lora, translate this to 'off'. Do not translate into your own language. */
	if ('off' !== _x('on', 'Lora: on or off', 'prime-fitness-gym')) {
		$fonts[] = 'Lora:400,600,700';
	}

	if ('off' !== _x('on', 'Space Grotesk: on or off', 'prime-fitness-gym')) {
		$fonts[] = 'Space Grotesk:300,400,500,600,700';
	}

	if ($fonts) {
		$fonts_url = add_query_arg(
			array(
				'family' => urlencode(implode('|', $fonts)),
				'subset' => urlencode($subsets),
			), 'https://fonts.googleapis.com/css');
	}

	return esc_url_raw($fonts_url);
}

/**
 * Function that returns if the menu is sticky
 */
if (!function_exists('prime_fitness_gym_sticky_header')):
    function prime_fitness_gym_sticky_header()
    {
        $is_sticky = get_theme_mod('prime_fitness_gym_sticky_header', false);

        if ($is_sticky == false):
            return 'not-sticky';
        else:
            return 'is-sticky-on';
        endif;
    }
endif;

/**
 * Enqueue scripts and styles.
 */
function prime_fitness_gym_scripts() {
	wp_enqueue_style( 'prime-fitness-gym-style', get_stylesheet_uri(), array(), PRIME_FITNESS_GYM_S_VERSION );
	wp_style_add_data( 'prime-fitness-gym-style', 'rtl', 'replace' );

	wp_enqueue_style('all.css', get_stylesheet_directory_uri() . "/assets/css/all.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('prime-fitness-gym-responsive.css', get_stylesheet_directory_uri() . "/assets/css/responsive.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('all.min.css', get_stylesheet_directory_uri() . "/assets/css/all.min.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('animate-3.5.2.css', get_stylesheet_directory_uri() . "/assets/css/animate-3.5.2.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('animate.css', get_stylesheet_directory_uri() . "/assets/css/animate.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('prime-fitness-gym-output.css', get_stylesheet_directory_uri() . "/assets/css/output.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('prime-fitness-gym-blocks.css', get_stylesheet_directory_uri() . "/assets/css/blocks.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('prime-fitness-gym-blocks.min.css', get_stylesheet_directory_uri() . "/assets/css/blocks.min.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('bootstrap.min.css', get_stylesheet_directory_uri() . "/assets/css/bootstrap.min.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('slick-theme.css', get_stylesheet_directory_uri() . "/assets/css/slick-theme.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('slick-theme.min.css', get_stylesheet_directory_uri() . "/assets/css/slick-theme.min.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('slick.css', get_stylesheet_directory_uri() . "/assets/css/slick.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('slick.min.css', get_stylesheet_directory_uri() . "/assets/css/slick.min.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('prime-fitness-gym-pe-customize-controls.css', get_stylesheet_directory_uri() . "/assets/css/pe-customize-controls.css", '', PRIME_FITNESS_GYM_S_VERSION);
	wp_enqueue_style('swiper-bundle.min.css', get_stylesheet_directory_uri() . "/assets/css/swiper-bundle.min.css", '', PRIME_FITNESS_GYM_S_VERSION);
	

	wp_enqueue_script( 'prime-fitness-gym-navigation', get_template_directory_uri() . '/js/navigation.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	wp_enqueue_script( 'all.min.js', get_template_directory_uri() . '/assets/js/all.min.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );	
	wp_enqueue_script( 'jquery.min.js', get_template_directory_uri() . '/assets/js/jquery.min.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );	
	wp_enqueue_script( 'bootstrap.bundle.min.js', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	wp_enqueue_script( 'prime-fitness-gym-custom.js', get_template_directory_uri() . '/assets/js/custom.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	wp_enqueue_script( 'jquery.counterup.min.js', get_template_directory_uri() . '/assets/js/jquery.counterup.min.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	wp_enqueue_script( 'slick.js', get_template_directory_uri() . '/assets/js/slick.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	wp_enqueue_script( 'slick.min.js', get_template_directory_uri() . '/assets/js/slick.min.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	wp_enqueue_script( 'swiper-bundle.min.js', get_template_directory_uri() . '/assets/js/swiper-bundle.min.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	wp_enqueue_script( 'slider-control.js', get_template_directory_uri() . '/assets/js/slider-control.js', array(), PRIME_FITNESS_GYM_S_VERSION, true );
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'prime_fitness_gym_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';


/**
 * Custom functions that act independently of the theme templates.
 */
// require get_template_directory() . '/inc/extras.php';
if ( ! function_exists( 'prime_fitness_gym_the_excerpt' ) ) :

	function prime_fitness_gym_the_excerpt( $length = 0, $post_obj = null ) {

		global $post;

		if ( is_null( $post_obj ) ) {
			$post_obj = $post;
		}

		$length = absint( $length );

		if ( 0 === $length ) {
			return;
		}

		$source_content = $post_obj->post_content;

		if ( ! empty( $post_obj->post_excerpt ) ) {
			$source_content = $post_obj->post_excerpt;
		}

		$source_content = preg_replace( '`\[[^\]]*\]`', '', $source_content );
		$trimmed_content = wp_trim_words( $source_content, $length, '&hellip;' );
		return $trimmed_content;

	}

endif;
/**
 * Load Hooks.
 */
require get_template_directory() . '/inc/hook/structure.php';
require get_template_directory() . '/inc/hook/custom.php'; 
require get_template_directory() . '/inc/hook/basic.php';
/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}
////////////////////////////////////////////////////////////////////////////////////////////////////////
// Integer sanitization
if ( ! function_exists( 'prime_fitness_gym_sanitize_integer' ) ) {
    function prime_fitness_gym_sanitize_integer( $input ) {
        return (int) $input;
    }
}








function prime_fitness_gym_customizer_script() {
    wp_enqueue_script(
        'prime_fitness_gym-customizer-script',
        get_template_directory_uri() . '/assets/js/customizer-button.js',
        ['customize-controls'],
        '1.0',
        true
    );
}
add_action( 'customize_controls_enqueue_scripts', 'prime_fitness_gym_customizer_script' );




function webnotick_admin_fontawesome() {
	wp_enqueue_style( 'prime_fitness_gym-font-awesome', get_template_directory_uri() . '/assets/css/all.min.css', array(), PRIME_FITNESS_GYM_S_VERSION );

}

add_action('admin_enqueue_scripts', 'webnotick_admin_fontawesome');
require get_template_directory() . '/wellcome-theme/welcome-page.php';


// Welcome Notice
function admin_notice_box()
{

	$screen = get_current_screen();

	// Hide on welcome page
	  if ($screen->id !== 'themes') {
        return;
    }

	?>

<div id="webnotick-welcome-box" class="notice is-dismissible">

    <span class="webnotick-close">&times;</span>

    <div class="webnotick-welcome-inner">

        <div class="webnotick-welcome-image">

            <img src="<?php echo esc_url( get_template_directory_uri() . '/wellcome-theme/assets/img/welcome-bgimg.png' ); ?>"
                alt="<?php esc_attr_e( 'Welcome', 'prime-fitness-gym' ); ?>">

            <div class="webnotick-welcome-content">
                <div class="webnotick-top-heading">

                    <div class="webnotick-logo-box">
                        <div class="webnotick-icon">
                            👋
                        </div>
                    </div>

                    <div class="webnotick-heading-text">
                        <h2>
                            Hi there,<br>
                            welcome to <span>Webnotick</span>
                        </h2>
                    </div>

                </div>

                <p>
                    Welcome to Prime Fitness Gym! Your website journey begins here with powerful new features
                    designed to make your experience smoother and better. We’re excited to support you every step of the
                    way with 24×7 assistance whenever you need us.
                </p>

                <div class="webnotick-btns">
                    <a href="<?php echo admin_url('themes.php?page=welcome-theme'); ?>"
                        class="webnotick-btn webnotick-btn-primary">
                        Let's Get Started
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
}

add_action('admin_notices', 'admin_notice_box');

function webnotick_admin_styles($hook)
{

	wp_enqueue_style(
		'webnotick-admin-style',
		get_template_directory_uri() . '/wellcome-theme/welcome-style.css',
		array(),
		time()
	);
}

add_action('admin_enqueue_scripts', 'webnotick_admin_styles');


// Welcome Page Menu
function welcome_theme_menu()
{
	add_theme_page(
		'Welcome Page',
		'Welcome Page',
		'manage_options',
		'welcome-theme',
		'welcome_page'
	);
}

add_action('admin_menu', 'welcome_theme_menu');


// CSS Load
function admin_theme_css($hook){
	if ($hook != 'appearance_page_welcome-theme') {
		return;
	}
	wp_enqueue_style(
		'welcome-theme-css',
		get_template_directory_uri() . '/wellcome-theme/welcome-style.css'
	);
}

add_action('admin_enqueue_scripts', 'admin_theme_css');

function customizer_css_load()
{
	wp_enqueue_style(
		'customizer-style',
		get_template_directory_uri() . '/wellcome-theme/welcome-style.css',
		array(),
		time()
	);
}

add_action('customize_controls_enqueue_scripts', 'customizer_css_load');